/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010, 2015.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
 // NLS_CHARSET=UTF-8
({
	rhapsodyImport: "Rational Rhapsody Import",
	welcomeToImprot: "Welcome to importing",
	// Definitions editors:	
	defintions: "Definitions",
	defintions_link: "< Definitions >",
	defintion: "Definition",
	defintionEditor: "Definition Editor",
	manage: "Manage",
	defName: "Name",
	general: "General",
	workspace: "Workspace: ",
	defStatus: "Status",
	nextImport: "Next Import",
	addDefinition: "Create Definition",
	add: "Add",
	actions: "Actions",
	msgDelete: "Delete",
	msgCancel: "Cancel",
	msgEdit: "Edit",
	save: "Save",
	refresh: "Refresh",
	run: "Schedule Now",
	RunImport: "Run Import",
	loading: "Loading...",
	defaultDefinitionName: "Definition name",
	defModels: "Models",
	modelName: "Name",
	defaultModelName: "Model name",
	schedule: "Schedule",
	enableSchedule: " Enable scheduled import",
	importTime: "Time",
	interval: "Interval in minutes:   ",
	at: "At",
	gmt: "GMT",
	importDays: "Week days",
	selectAll: "Select all",
	deselectAll: "Deselect all",
	scheduleEnabled: "Enabled",
	scheduleDisabled: "Disabled",
	trackInActivitiesPage: 'Track it in the <a href="${0}">Activities</a> page',
	domain: "Domain",
	renderDiagrams: " Cache diagrams where the number of diagram elements is greater than: ",
	//Filtered Model
	content: " Partial model scope level: ",
	types: "The following types will be imported:  ",
	reImport: " Reimport and overwrite all resources",
	partialLevelWarning: "If you change the model scope level, all of the model elements currently on the server will be deleted, and the elements in the new scope will be imported.",
	
	// user messages:
	err_noRenderDiagramsThreshold: "Render elements number was not set",
	err_invalidRenderDiagramsThreshold: "Invalid value for render elements number",
	err_NoDefinitionManger: "Failed loading Definitions manager",
	err_NoActivitiesManger: "Failed loading Activities manager",
	err_RootServices_noEntry: "Root Services document has no entry for: ",
	err_NoPublishObj: "Publisher object was not found",
	err_DefDeleteFailed: "Definition deletion failed", 
	err_GetDefinitionsFailed: "Failed getting definitions list",
	err_emptyDefinitionName: "Definition name can not be empty",
	inf_DefinitionSavedOk: "Definition saved successfully",
	inf_DefSavedFailed: "Saving definition failed",
	inf_ModelNeedConfigure: "	To add models to import, run the Import Engine Configuration application",
	err_noDefinitionModels: "No model was specified",
	err_EmpltyModelName: "Model name can not be empty",
	err_noScheduleDay: "Schedule day was not selected",
	err_noScheduleInterval: "Schedule interval was not set",
	err_noScheduleType: "Schedule type was not selected",
	err_DuplicatedModelNames: "Found two or more models with the same name",
	err_LaodActivitiesFailed: "Failed loading activities",
	err_DefNameAlreadyInUse: "Definition name already in use",
	err_ModelNameAlreadyInUse: "Model name already in use",
	err_InsufficientPrivileges: "Insufficient privileges",
	inf_DefDeletedOk: "Definition deleted successfully",
	err_DefDeletionFailed: "Definition deletion failed",
	err_ScheduleDefFailed: "Definition scheduling failed",
	inf_ScheduleDefOk: 'The Import has been scheduled. You can track the process in the <a href="${0}">Activities</a> page',
			
	// Activities editor:
	activities: "Activities",
	type: "Type",
	requester: "Requester",
	requestTime: "Request Time",
	startTime: "Start Time",
	duration: "Duration",
	endTime: "End Time",
	actStatus: "Status",
	details: "Details",
	showAll: "Show All",
	deleteAll: "Delete All",
	stage: "Stage",
	
	// Activity stages
	importInit: "Initializing Import Request",
	checkPermission: "Checking User Permissions",
	generateRdfFiles: "Converting to RDF Resources",
	createEngine: "Creating Engine to Save The Data",
	ensureContext: "Validating Project Context",
	associateUNLDomain: "Associating UML Domains",
	associateDomains: "Associating Domains",
	createEditingSession: "Creating Changeset",
	cancelEditingSession: "Discarding Changeset",
	deleteAllResources: "Overriding Resources",
	updateUserDomains: "Updating Domains Meta-Data",
	deleteResources: "Processing Deleted Resources",
	saveResources: "Saving Resources",
	commitEditingSession: "Commiting Changeset",
	postCommit: "Post-Commit Actions",
	waitForIndex: "Updating VVC Configurations(Indexing)",
	clearDiagrams: "Clearing Diagrams Caches",
	clearFolders: "Clearing Temporary Folders",
	checkDomain: "Checking for User Domains",
	saveDomainResources: "Saving Domain's Resources",
	createSnapshot: "Creating Snapshot",
	importDomainInit: "Initializing Import Domain",
	externalExecuters: "Executing External Domains Import",
	initDeleteModel: "Initializing Delete Model Request",
	deleteModel: "Deleting Model",
	checkModel: "Checking Model's Data",
	
	
	//import details
	numberOfResources: "Number of Saved Resources:",
	numberOfResourcesDeleted: "Number of Deleted Resources:",
	numberOfRenderedDiagrams: "Number of Rendered Diagrams:",
	
	//warnings
	danglingReferences: "Dangling References:",
	unknownProfile: "Usage of unknown profiles detected:",
	
	//pop-up sections
	errors: "Errors:",
	warnings: "Warnings:",
	
	label_warn_unknownProfile: "Usage of unknown profiles detected. Please create domain for the following profiles, and re-import the model:",
	label_warn_mismatchedProfileVersion: "Usage of mismatched profile versions detected:",
	label_warn_saveIndexing: "The following resources were not saved because they contain special characters. Please see dm.log for additional information.",
	label_warn_assocDomainByManifest: "Could not associate some of the domains with the model. Please see dm.log for additional information.",
	label_warn_updateDomain: "Failed to update domains:",
	label_warn_failedToRenderDiagrams: "Failed to render some of the diagrams.",
	label_warn_unloadedElements: "Model contains unloaded elements:",
	label_warn_NotTopLevelRef: "Models on the server can only contain references as top-level packages. The current model contains references that are not top-level elements. Please restructure the model:",
	label_warn_systemProfileNotInOMROOT: "The model contains references to predefined profiles in a location other than $OMROOT,\nIt is recommended that you change the references to point to the versions of the profiles in $OMROOT:",
	
	label_exception: "Exception:",
	err_modelServerDisplay: "Model Server failed to launch. Please contact your administrator to launch the Model Server with a valid display.<br>For more information see <a href='https://jazz.net/library/article/1250#38625'>Design Manager on Linux</a>",
	err_modelServerMissingLib: 	"Model Server failed to launch. Please contact your administator.<br>Installing 32 bit system library libXdmcp may be required on 64-bit Linux.<br>For Suse, please run and install:<br>zypper install xorg-x11-libXt-32bit<br>zypper install gtk2-engines-32bit<br>zypper install libcanberra-gtk0-32bit<br>zypper install libcanberra-gtk-32bit<br>zypper install gtk2-engines-32bit<br>zypper install xorg-x11-libXmu-32bit<br>zypper install xorg-x11-libXdmcp-32bit<br>For Redhat, please run and install:<br>yum install  libX11-devel.i686<br>yum install libXtst.i686<br>yum install PackageKit-gtk-module.i686<br>yum install libcanberra-gtk2.i686<br>yum install gtk2-engines.i686<br>yum install  libXmu.i686<br>yum install libXdmcp.i686",
	err_modelServerWrongLocation: "Model Server failed to launch. Model Server cannot find or access the $OMRROT folder. Please contact your administrator to check the $OMROOT variable. See dm.log for additional information.",
	err_modelServerPermission: "Model Server failed to launch. Please validate that current user has permissions to access Model Server's folders. See dm.log for additional information.",
	err_modelServerFailedLaunch: "Model Server Failed to launch.",
	err_checkPermission: "Current user does not have the necessary permissions to carry out this action.",
	err_ExternalDomainService: "Unrecognized External Domain Service. Please check if domain is associated to the Project Area.",
	err_sameModelGUID: "Model contains elements that have the same GUID as existing elements on the server:",
	label_err_nonAsciiModelName: "Model name contains non-ASCII characters.",
	label_err_notOnServerProfile: "Model contains references to profiles that have a value for Model::Profile::RDFNamespace property, but do not have corresponding domains on the server. Please create domain for the following profiles:",
	label_err_unsupportedProfiles: "Model contains references to profiles that are not supported in Design Manager:",
	
	serviceUnresponsive: "Import engine is not responding. Have the administrator check that the import engine has been configured correctly and that it has been started.",
	
	// activity states:
	unknown: "Unknown",
	pending: "Pending",
	inProgress: "In progress",
	error: "Error",
	dropped: "Dropped",
	completed: "Completed",
	warning: "Completed With Warnings",
	completedWithErrors: "Completed With Errors",
	canceled: "Canceled",
	canceling: "Canceling",
	
	// activity types:
	modelimport: "Model import",
	modelremoved: "Model deletion",
	importByEngine: "Import by engine",
	
	// Activity page messages:
	actCancelOk: "Activity cancellation request accepted",
	actCancelFailed: "Activity cancellation request declined",
	actDeleteOk: "Activity Item deleted successfully",
	actDeleteAllOk: "Activity Items deleted successfully",
	actDeleteFailed: "Activity Item deletion failed",
	
	// Domain names:
	doaminRahpsody: "Rhapsody",
	doaminSimulink: "Simulink",
	doaminUnknown: "(Unknown)",
	
	// Disabled page messages:
	importDisabled: "Import Disabled",
	importDefDisabled: "Import Definition Disabled",
	editingActive: "This project area is managed by Design Management server. Import is disabled.",
	snapshotDisable: "You cannot import a model because you are working with a snapshot of the project area. To import the model, select a different configuration."
 
})
